Qiime2-Reader v0.10.1 Perl 5 v5.28.1 x86_64-linux

Status
Pass
From
Slaven Rezić (SREZIC)
Dist
Qiime2-Reader v0.10.1
Platform
Perl 5 v5.28.1 x86_64-linux
Date
2020-01-23T20:04:18
ID
89d42c9e-3e1b-11ea-b7f7-d93f1f24ea8f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Andrea Telatin,

This is a computer-generated report for Qiime2-Reader-0.10.1
on perl 5.28.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/opt/perl-5.28.1/bin/perl5.28.1" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/10_basic_test.t ................. ok
t/11_load.t ....................... ok
Not a valid artifact /home/cpansand/.cpan/build/2020012320/Qiime2-Reader-0.10.1-0/t/../data/bad_artifact.zip:
 [Qiime2::Reader ERROR]
 /home/cpansand/.cpan/build/2020012320/Qiime2-Reader-0.10.1-0/data/bad_artifact.zip is not a valid artifact:
  "{id}/directory/data" structure expected, found:
  "d27b6a68-5c6e-46d9-9866-7b4d46cca533/"
 ------------------------------------------------------------
t/11_not_a_valid_artifact.t ....... ok
Raise exception:
 [Qiime2::Reader ERROR]
 /home/cpansand/.cpan/build/2020012320/Qiime2-Reader-0.10.1-0/data/sample_metadata.tsv is not a ZIP file
 ------------------------------------------------------------
t/11_not_a_zip.t .................. ok
Not a valid artifact /home/cpansand/.cpan/build/2020012320/Qiime2-Reader-0.10.1-0/t/../data/non_artifact.zip:
 [Qiime2::Reader ERROR]
 /home/cpansand/.cpan/build/2020012320/Qiime2-Reader-0.10.1-0/data/non_artifact.zip is not a valid artifact:
  "{id}/directory/data" structure expected, found:
  "README.md"
 ------------------------------------------------------------
t/11_not_an_artifact.t ............ ok
t/release-00-pod.t ................ skipped: these tests are for release candidate testing
t/release-03-minimum-standards.t .. skipped: these tests are for release candidate testing
t/release-05-changes.t ............ skipped: these tests are for release candidate testing
All tests successful.
Files=8, Tests=10,  1 wallclock secs ( 0.05 usr  0.03 sys +  0.76 cusr  0.22 csys =  1.06 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need  Have    
    ------------------- ----- --------
    Capture::Tiny       0.48  0.48    
    Carp                1.2   1.50    
    Data::Dumper        2.1   2.173   
    FindBin             1.3   1.51    
    perl                5.018 5.028001
    YAML::PP            0.018 0.018   

build_requires:

    Module              Need  Have    
    ------------------- ----- --------
    ExtUtils::MakeMaker 0     7.34    

configure_requires:

    Module              Need  Have    
    ------------------- ----- --------
    Devel::CheckBin     0     0.04    
    ExtUtils::MakeMaker 0     7.34    

opt_requires:

    Module              Need  Have    
    ------------------- ----- --------
    File::Which         0     1.23    


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LANG = en_US.UTF-8
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/linux-gnu:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/home/eserte/src/srezic-misc/scripts
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 14782
    PERL5_CPAN_IS_RUNNING = 14782
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 16754,14782
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2020012319/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2020012319

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /opt/perl-5.28.1/bin/perl5.28.1
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.20    
    CPAN::Meta          2.150010
    Cwd                 3.74    
    ExtUtils::CBuilder  0.280231
    ExtUtils::Command   7.34    
    ExtUtils::Install   2.14    
    ExtUtils::MakeMaker 7.34    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.39    
    File::Spec          3.74    
    JSON                4.02    
    JSON::PP            2.97001 
    Module::Build       0.4229  
    Module::Signature   0.83    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.42    
    Test::More          1.302167
    YAML                1.27    
    YAML::Syck          1.31    
    version             0.9923  


--

Summary of my perl5 (revision 5 version 28 subversion 1) configuration:
   
  Platform:
    osname=linux
    osvers=3.10.0-957.10.1.el7.x86_64
    archname=x86_64-linux
    uname='linux centos-4gb-hel1-1 3.10.0-957.10.1.el7.x86_64 #1 smp mon mar 18 15:06:45 utc 2019 x86_64 x86_64 x86_64 gnulinux '
    config_args='-ds -e -Dprefix=/opt/perl-5.28.1 -Dcf_email=srezic@cpan.org'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2'
    optimize='-O2'
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='4.8.5 20150623 (Red Hat 4.8.5-36)'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib/../lib64 /usr/lib/../lib64 /lib /lib64 /usr/lib64 /usr/local/lib64
    libs=-lpthread -lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lc -lgdbm_compat
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.17.so
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version='2.17'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_64_BIT_ALL
    USE_64_BIT_INT
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
  Built under linux
  Compiled at Apr 10 2019 22:28:37
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="14782"
    PERL5_CPAN_IS_RUNNING="14782"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="16754,14782"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2020012319/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /opt/perl-5.28.1/lib/site_perl/5.28.1/x86_64-linux
    /opt/perl-5.28.1/lib/site_perl/5.28.1
    /opt/perl-5.28.1/lib/5.28.1/x86_64-linux
    /opt/perl-5.28.1/lib/5.28.1
    .